const http = require('http')
const globalVars = require('../libs/globalVars')
const led = require('../libs/led')
const common = require('../libs/common')
const screen = require('../libs/lcd')

var requireDir = require('require-dir');
var modules = requireDir('../modules');

module.exports = {
    home: () => {
        clearInterval(globalVars.waterPolling);
        screen.clearScreen()
        screen.heading('Main Menu')
        screen.time()
        setInterval(screen.time, 55000)
    },
    water: () => {
        screen.clearScreen()
        screen.heading('Hot Water')
        screen.time()
        setInterval(screen.time, 55000)
        modules.water.getStatus()
        globalVars.waterPolling = setInterval(() => {
            modules.water.getStatus()
        }, 60000);
    },
    heating: () => {
        screen.clearScreen()
        screen.heading('Heating')
        screen.time()
        setInterval(screen.time, 55000)
        modules.heating.getStatus()
        globalVars.heatingPolling = setInterval(() => {
            modules.heating.getStatus()
        }, 60000);
    }
}